Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
dup2.c File Reference
`#include "ruby/config.h"`
`#include <errno.h>`
Include dependency graph for dup2.c:

Go to the source code of this file.

## Macros
#define | BADEXIT -1

## Functions
int | dup2 (int fd1, int fd2)

## Macro Definition Documentation

#define BADEXIT -1

Definition at line 24 of file dup2.c.

Referenced by dup2().

## Function Documentation

int dup2 | ( | int | fd1,
|  | int | fd2
| ) |  |

Definition at line 27 of file dup2.c.

References BADEXIT, errno, F_DUPFD, fcntl(), and i.

Referenced by chfunc(), fill_standard_fds(), goruby_options(), main(), and rb_cloexec_dup2().